PurviewMetadataPoliciesClient Class
PurviewMetadataPoliciesClient.
- Inheritance
-
builtins.objectPurviewMetadataPoliciesClient
Constructor
PurviewMetadataPoliciesClient(endpoint: str, credential: TokenCredential, **kwargs: Any)
Parameters
- endpoint
- str
The endpoint of your Purview account. Example: https://{accountName}.purview.azure.com.
Variables
- metadata_roles
- MetadataRolesOperations
MetadataRolesOperations operations
- metadata_policy
- MetadataPolicyOperations
MetadataPolicyOperations operations
Methods
| close | |
| send_request |
Runs the network request through the client's chained policies.
For more information on this code flow, see https://aka.ms/azsdk/python/protocol/quickstart |
close
close() -> None
send_request
Runs the network request through the client's chained policies.
>>> from azure.core.rest import HttpRequest
>>> request = HttpRequest("GET", "https://www.example.org/")
<HttpRequest [GET], url: 'https://www.example.org/'>
>>> response = client.send_request(request)
<HttpResponse: 200 OK>
For more information on this code flow, see https://aka.ms/azsdk/python/protocol/quickstart
send_request(request: HttpRequest, **kwargs: Any) -> HttpResponse
Parameters
- stream
- bool
Whether the response payload will be streamed. Defaults to False.
Returns
The response of your network call. Does not do error handling on your response.
Return type
Feedback
Submit and view feedback for